LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
CellFormatRanges Service Referencepublished

represents a collection of equal-formatted cell ranges. More...

`import"CellFormatRanges.idl";`

Inheritance diagram for CellFormatRanges:

## Exported Interfaces
interface | com::sun::star::container::XIndexAccess
| provides methods to access the contained cell ranges by index. More...
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of all cell ranges. More...

## Additional Inherited Members
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()

## Detailed Description

represents a collection of equal-formatted cell ranges.

All cells inside a cell range of this collection have the same formatting attributes.

See also
  com::sun::star::sheet::SheetCellRange
  com::sun::star::sheet::SheetCellRanges
  com::sun::star::sheet::UniqueCellFormatRanges

Developers Guide
  Spreadsheet Documents - Equally Formatted Cell Ranges - Cell Format Ranges

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of all cell ranges.

See also
  com::sun::star::sheet::CellFormatRangesEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides methods to access the contained cell ranges by index.

See also
  com::sun::star::sheet::SheetCellRange

The documentation for this service was generated from the following file:

- com/sun/star/sheet/CellFormatRanges.idl